#!/usr/bin/perl

use strict ;
use warnings ;

while (my $line = readline(STDIN))
{
    chomp $line ;
    my @F = split(/;/,$line) ;
    my %H ;
    for (my $i=3 ; $i<=$#F ; ++$i)
    {
	$F[$i] = ''
	    if $H{$F[$i]}++ ;
    }
    print join(';',@F), "\n" ;
}
die("error: readline failed:$!")
    if !eof(STDIN) ;
